import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
app_short = client.fastedge.apps.update(
app_id=0,
)
print(app_short.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appShort, err := client.Fastedge.Apps.Update(
context.TODO(),
0,
fastedge.AppUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appShort.ID)
}
curl --request PATCH \
--url https://api.gcore.com/fastedge/v1/apps/{app_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-edge-app",
"binary": 12345,
"template": 123,
"status": 1,
"env": {
"var1": "value1",
"var2": "value2"
},
"rsp_headers": {
"header1": "value1",
"header2": "value2"
},
"debug": false,
"comment": "Production API gateway for customer portal",
"secrets": {},
"stores": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my-edge-app',
binary: 12345,
template: 123,
status: 1,
env: {var1: 'value1', var2: 'value2'},
rsp_headers: {header1: 'value1', header2: 'value2'},
debug: false,
comment: 'Production API gateway for customer portal',
secrets: {},
stores: {}
})
};
fetch('https://api.gcore.com/fastedge/v1/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2,
"name": "<string>",
"status": 123,
"binary": 123,
"api_type": "<string>",
"plan_id": 123,
"url": "<string>",
"comment": "<string>",
"debug_until": "2023-11-07T05:31:56Z",
"template": 123,
"template_name": "<string>",
"networks": [
"<string>"
],
"upgradeable_to": 123,
"plan": "<string>"
}{
"error": "<string>"
}"<string>""<string>"Update app
Partially update an application’s configuration. Only the fields provided in the request body will be modified; others remain unchanged.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
app_short = client.fastedge.apps.update(
app_id=0,
)
print(app_short.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appShort, err := client.Fastedge.Apps.Update(
context.TODO(),
0,
fastedge.AppUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appShort.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
ID of the app
Body
App details
Unique application name (alphanumeric, hyphens allowed)
1 - 64^[a-z0-9][a-z0-9-]*[a-z0-9]$"my-edge-app"
ID of the WebAssembly binary to deploy
x >= 112345
Template ID
Status code:
0 - draft (inactive)
1 - enabled
2 - disabled
5 - suspended
0 <= x <= 51
Environment variables
Show child attributes
Show child attributes
{ "var1": "value1", "var2": "value2" }
Extra headers to add to the response
Show child attributes
Show child attributes
{ "header1": "value1", "header2": "value2" }
kafka, none Enable verbose debug logging for 30 minutes. Automatically expires to prevent performance impact.
false
Optional human-readable description of the application's purpose
1024"Production API gateway for customer portal"
Application secrets
Show child attributes
Show child attributes
Application edge stores
Show child attributes
Show child attributes
Response
Application updated successfully, returns updated metadata
App ID
x >= 1App name
Status code:
0 - draft (inactive)
1 - enabled
2 - disabled
3 - hourly call limit exceeded
4 - daily call limit exceeded
5 - suspended
Binary ID
Wasm API type
Application plan ID
App URL
Description of the binary
When debugging finishes
Template ID
Template name
Networks
ID of the binary the app can be upgraded to
Application plan name
Was this page helpful?